package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.core.BaseDAOMapper;
import com.cku.model.CkuMatchRule;

public interface CkuMatchRuleMapper extends BaseDAOMapper<CkuMatchRule>  {
	public List<CkuMatchRule> getAll();
	public List<CkuMatchRule> getList(@Param("ruleName")String ruleName,@Param("ruleInfo")String ruleInfo,@Param("limit")Long limit,@Param("count")Long count);
	public long getCount(@Param("ruleName")String ruleName,@Param("ruleInfo")String ruleInfo);
}